From: Arnaud Ferraris <arnaud.ferraris@gmail.com>
Date: Wed, 26 May 2021 01:34:41 +0200
Subject: arm64: dts: allwinner: pinephone: add ANX7688 caps to DT

---
 arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone-1.2.dts |  1 +
 arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi    | 10 ++++++++++
 2 files changed, 11 insertions(+)

diff --git a/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone-1.2.dts b/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone-1.2.dts
index 0c48cef..43ed37d 100644
--- a/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone-1.2.dts
+++ b/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone-1.2.dts
@@ -18,6 +18,7 @@ wifi_pwrseq: wifi-pwrseq {
 &anx7688 {
 	reset-gpios = <&pio 3 6 GPIO_ACTIVE_HIGH>; /* PD6 */
 	avdd33-supply = <&reg_dcdc1>;
+	vbus-supply = <&reg_vcc5v0>;
 };
 
 &axp803 {
diff --git a/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi b/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi
index 1429eaa..ed2449b 100644
--- a/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi
+++ b/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi
@@ -11,6 +11,7 @@
 #include <dt-bindings/input/input.h>
 #include <dt-bindings/leds/common.h>
 #include <dt-bindings/pwm/pwm.h>
+#include <dt-bindings/usb/pd.h>
 
 / {
 	chassis-type = "handset";
@@ -316,6 +317,15 @@ anx7688: hdmi-bridge@28 {
 		vconn-supply = <&reg_vconn5v0>;
 		hdmi_vt-supply = <&reg_dldo1>;
 		vbus-supply = <&reg_usb0_vbus>;
+		vbus_in-supply = <&usb_power_supply>;
+
+		source-caps = <
+			PDO_FIXED(5000, 500, PDO_FIXED_DATA_SWAP | PDO_FIXED_USB_COMM | PDO_FIXED_DUAL_ROLE)
+		>;
+
+		sink-caps = <
+			PDO_FIXED(5000, 3000, PDO_FIXED_DATA_SWAP | PDO_FIXED_USB_COMM | PDO_FIXED_DUAL_ROLE)
+		>;
 
 		port {
 			typec0_drd_sw: endpoint {
